LLOGIN(1)

NAME
llogin - Connect to a LAT service

SYNOPSIS
llogin [options] service
Options:
[-dvcpblhQ] [-H node] [-R port] [-n name] [-w password | -W] [-q quit char]

DESCRIPTION

llogin connects your terminal to a LAT service via latd, the service name must be known to latd for this to work.

OPTIONS

-d  Shows learned services. This is the same as latcp -d -l

-d -v
    Verbose form of -d. -v without -d is ignored.

-H <node>
    Remote nodename. If the service is advertised by more than one node and you want to connect to a particular node then use this switch. By default you will be connected to the node with the highest rating.

-R <port>
    Connect to a specific port on (usually) a terminal server. This is the port NAME on the server and not the port number.

-c  Do not convert typed LF to CR. By default the enter key generates LF and llogin converts it CR as it is the most generically useful translation. This switch will cause the enter key to send LF instead. Occasionally useful for connecting to Unix consoles.

-b  Convert typed DEL to BS. By default the DEL key (keyboard, top right usually) send DEL (ASCII 0x7f) to the remote system. This switch will cause the DEL key to send BS (ASCII 8) instead. Useful for some Unix systems connected via terminal servers.

-l  Convert output LF to VT. By default LF output is sent as CRLF which can cause output formatting problems. Changing this to VT should preserve the output formatting on most devices or terminal emulators.

-q <char>
    Change the quit character. By default CTRL-] will quit the terminal session. Entering a character after -q will cause CTRL-<char> to be the quit character for that session. -q0 will disable the quit character. If you use the latter, make sure you are connecting to a service that will disconnect you when you log out or you will have to kill llogin from another session to get out of it!

-Q  Tells latd that the service you are connecting to is queued service and not a normal login service or port service. Unfortunately latd cannot tell whether a remote service needs to be queued or not so the onus is on the user to specify this switch when connecting to a queued service.

-n <name>
    Sets the local connection name. By default this will be your local TTY name. In most cases this simply affects the display of the terminal on the remote end so you shouldn't need to change it.

-w <password>
    Sends the password for the service. Only needed for services that require a password for access. If the password given is "-" then you will be prompted for a password and it will not be echoed. This avoids having passwords visible on the screen.

-W  Prompts for the service password. This is the same as -w- (see above).

-p  Tells llogin to connect to the device named instead of a LAT service. This would usually be a /dev/lat pseudo-terminal but could be any other device you like really. This switch does not make the program useful as a terminal program because there is no way to set any serial parameters, nor am I going to add them. This is just a convenient way to use the /dev/lat ports without the overhead of programs such as minicom.

-h  Displays a brief usage description. This is the same as invoking llogin without any parameters at all.

  SEE ALSO
latcp(8), latd(8)